from datetime import datetime
from sqlalchemy import Column, Integer, DateTime
from app.core.database import Base

class TimestampModel(Base):
    """Base model with created and updated timestamps."""
    __abstract__ = True
    
    id = Column(Integer, primary_key=True, index=True)
    created_at = Column(DateTime, default=datetime.utcnow, nullable=False)
    updated_at = Column(DateTime, default=datetime.utcnow, onupdate=datetime.utcnow, nullable=False)